# 实现 Circle 类...


import math

class Circle():
    radius = float(0)
    def __init__(self, radius:float) -> None:
        self.radius = radius
    
    def get_peimeter(self) -> float:
        return math.pi * self.radius * 2
    
    def get_area(self) -> float:
        return math.pi * (self.radius ** 2)
    
    def __str__(self) -> str:
        return f"radius: {self.radius}\npeimeter: {self.get_peimeter()}\narea: {self.get_area()}\n"

def main() -> int:
    cir1 = Circle(3.0)
    # print(str(cir1))
    print(f"cir1: peimeter: {cir1.get_peimeter()}")
    print(f"cir1: narea: {cir1.get_area()}")
    return 0

if __name__ == "__main__":
    main()